from setuptools import setup

setup(name='pymmaster',
      version='0.1.1',
      description='pymmaster is a python package for processing of ASTER DEMs using MMASTER.',
      url='https://github.com/luc-girod/MMASTER-workflows',
      author='Luc Girod, Romain Hugonnet, Chris Nuth, Bob McNabb',
      author_email='robertmcnabb@gmail.com',
      license='GPL-3.0',
      packages=['pymmaster'],
      install_requires=['fiona', 'gdal', 'geopandas', 'h5py',
                        'matplotlib', 'numpy', 'pandas', 'pyproj',
                        'pybob>0.25', 'scikit-image', 'scipy', 'shapely'],
      scripts=['bin/apply_mmaster_corrections.py', 'bin/batch_coregister_tiles.py', 'bin/bias_correct_tiles.py',
               'bin/create_micmac_xml.py', 'bin/mmaster_bias_correction.py',
               'bin/mosaic_micmac_tiles.py', 'bin/sort_aster_strips.py', 'bin/sort_l1a.py',
               'bin/CleanMicMac.sh', 'bin/Link_MMASTER_Files.sh', 'bin/PostProcessMicMac.sh', 'bin/process_l1a.sh',
               'bin/process_mmaster.sh', 'bin/RunMicMacAster_batch.sh', 'bin/wget_l1a.sh',
               'bin/WorkFlow_WaterMask.sh', 'bin/WorkFlowASTER.sh',
               'bin/wrapper_region_sbatch.sh'],
      zip_safe=False)
